Get survey responses
GET/v2/surveys/{id}/responses
Retrieves all user responses for a specific survey.
Query Parameters
pageId- Filter responses to a specific survey pagelimit- Number of items to return (1-100, default 10)cursor- Cursor for pagination
Response Format
Returns a list object with:
object- Always “list”data- Array of survey response objectsnextCursor- Cursor for next page (null if no more results)
Survey Response Object
Each response includes:
id- Unique response identifieruser- User who submitted the response (may be null for anonymous)responses- Array of individual answerscreatedAt- ISO 8601 timestamp when submitted
Individual Response
Each item in the responses array:
pageId- The survey page this response is fortype- Response type (text, rating, multiple-choice)value- The response value
Errors
404- Survey not found in your organization
Query Parameters
Get survey responses
curl https://do.featurebase.app/v2/surveys/$ID/responses \
-H "Authorization: Bearer $FEATUREBASE_API_KEY"{
"data": [
{
"id": "6712e2d175904ce24b2f9637",
"createdAt": "2024-10-18T22:36:01.269Z",
"object": "survey_response",
"responses": [
{
"pageId": "66dc53c5a64824f0e84a4c1e",
"type": "multiple-choice",
"value": [
"66dc54128b989696d050008b"
],
"id": "6712e2d175904ce24b2f9638",
"createdAt": "2024-10-18T22:36:01.270Z",
"updatedAt": "2024-10-18T22:36:01.270Z"
}
],
"user": {
"id": "676f0f6765bdaa7d7d760f88",
"name": "John Steezy",
"object": "contact",
"type": "customer",
"commentsCreated": 0,
"companies": [
{
"id": "507f1f77bcf86cd799439011",
"companyId": "comp_12345",
"companySize": 250,
"createdAt": "2025-01-01T12:00:00.000Z",
"industry": "Technology",
"lastActivity": "2025-01-15T00:00:00.000Z",
"linkedUsers": 15,
"monthlySpend": 5000,
"name": "Acme Inc",
"object": "company",
"plan": "enterprise",
"updatedAt": "2025-01-10T15:30:00.000Z",
"website": "https://acme.com",
"customFields": {
"location": "bar",
"priority": "bar"
}
}
],
"customFields": {
"foo": "bar"
},
"description": "",
"email": "john@example.com",
"lastActivity": "2025-01-03T21:42:30.181Z",
"locale": "en",
"manuallyOptedOutFromChangelog": false,
"organizationId": "5febde12dc56d60012d47db6",
"postsCreated": 0,
"profilePicture": "https://fb-usercontent.fra1.cdn.digitaloceanspaces.com/anon_23.png",
"roles": [
"string"
],
"subscribedToChangelog": true,
"userId": "676f0f673dbb299c8a4f3057",
"verified": true
}
}
],
"nextCursor": null,
"object": "list"
}Returns Examples
{
"data": [
{
"id": "6712e2d175904ce24b2f9637",
"createdAt": "2024-10-18T22:36:01.269Z",
"object": "survey_response",
"responses": [
{
"pageId": "66dc53c5a64824f0e84a4c1e",
"type": "multiple-choice",
"value": [
"66dc54128b989696d050008b"
],
"id": "6712e2d175904ce24b2f9638",
"createdAt": "2024-10-18T22:36:01.270Z",
"updatedAt": "2024-10-18T22:36:01.270Z"
}
],
"user": {
"id": "676f0f6765bdaa7d7d760f88",
"name": "John Steezy",
"object": "contact",
"type": "customer",
"commentsCreated": 0,
"companies": [
{
"id": "507f1f77bcf86cd799439011",
"companyId": "comp_12345",
"companySize": 250,
"createdAt": "2025-01-01T12:00:00.000Z",
"industry": "Technology",
"lastActivity": "2025-01-15T00:00:00.000Z",
"linkedUsers": 15,
"monthlySpend": 5000,
"name": "Acme Inc",
"object": "company",
"plan": "enterprise",
"updatedAt": "2025-01-10T15:30:00.000Z",
"website": "https://acme.com",
"customFields": {
"location": "bar",
"priority": "bar"
}
}
],
"customFields": {
"foo": "bar"
},
"description": "",
"email": "john@example.com",
"lastActivity": "2025-01-03T21:42:30.181Z",
"locale": "en",
"manuallyOptedOutFromChangelog": false,
"organizationId": "5febde12dc56d60012d47db6",
"postsCreated": 0,
"profilePicture": "https://fb-usercontent.fra1.cdn.digitaloceanspaces.com/anon_23.png",
"roles": [
"string"
],
"subscribedToChangelog": true,
"userId": "676f0f673dbb299c8a4f3057",
"verified": true
}
}
],
"nextCursor": null,
"object": "list"
}